package cn.iocoder.yudao.module.dms.controller.admin.article.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 知识库新增/修改 Request VO")
@Data
public class ArticleSaveReqVO {

    @Schema(description = "主键 自增长", requiredMode = Schema.RequiredMode.REQUIRED, example = "12715")
    private Long id;

    @Schema(description = "文章标题")
    private String title;

    @Schema(description = "标签")
    private String tags;

    @Schema(description = "文章内容")
    private String content;

    @Schema(description = "文章分类ID", example = "23516")
    private Long cid;

    @Schema(description = "文章分类名称", example = "王五")
    private String cname;

    @Schema(description = "作者ID", example = "17240")
    private Long uid;

    @Schema(description = "作者", example = "李四")
    private String uname;

    @Schema(description = "设备ID", example = "20022")
    private Long deviceId;

    @Schema(description = "设备名称", example = "王五")
    private String deviceName;

    @Schema(description = "使用标识")
    private Integer useFlag;

    @Schema(description = "版本")
    private String version;

}
