package cn.iocoder.yudao.module.dms.controller.admin.articlecatogry.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 文章分类新增/修改 Request VO")
@Data
public class ArticleCatogrySaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "文章分类名称")
    private String name;

    @Schema(description = "文章分类代码")
    private String code;

    @Schema(description = "父ID")
    private Long parentId;

    @Schema(description = "父子级联代码")
    private String pcode;

    @Schema(description = "父分类名称")
    private String parentName;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "级别")
    private Integer level;

    @Schema(description = "显示序列")
    private Integer orderNum;

    @Schema(description = "使用标识")
    private Integer useFlag;

}
