package cn.iocoder.yudao.module.dms.controller.admin.checktemplateclassify.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 点巡检模板分类 精简 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsSimpleCheckTemplateClassifyRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "分类名称")
    @ExcelProperty("分类名称")
    private String name;

    @Schema(description = "父分类ID")
    @ExcelProperty("父分类ID")
    private Long parentId;

}
