package cn.iocoder.yudao.module.dms.dal.dataobject.checktaskitem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 点巡检任务检查项 DO
 *
 * @author dzx
 */
@TableName("dms_check_task_item")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsCheckTaskItemDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 点巡检模板ID
     */
    private Long checkTemplateId;
    /**
     * 点巡检任务ID
     */
    private Long checkTaskId;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 模板检查项名称
     */
    private String name;
    /**
     * 模板检查项内容
     */
    private String content;
    /**
     * 图片
     */
    private String imgs;
    /**
     * 备注
     */
    private String note;
    /**
     * 模板检查项ID
     */
    private Long checkTemplateItemId;
    /**
     * 模板检查项名称
     */
    private String checkTemplateItemName;
    /**
     * 显示序列
     */
    private Integer orderNum;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;

}
