package cn.iocoder.yudao.module.dms.controller.admin.checktaskitem.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 点巡检任务检查项新增/修改 Request VO")
@Data
public class DmsCheckTaskItemSaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "点巡检模板ID")
    private Long checkTemplateId;

    @Schema(description = "点巡检任务ID")
    private Long checkTaskId;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "模板检查项名称")
    private String name;

    @Schema(description = "模板检查项内容")
    private String content;

    @Schema(description = "图片")
    private String imgs;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "模板检查项ID")
    private Long checkTemplateItemId;

    @Schema(description = "模板检查项名称")
    private String checkTemplateItemName;

    @Schema(description = "显示序列")
    private Integer orderNum;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

}
